<?php

add_action( 'cmb2_admin_init', 'gs_slider_metabox' );
/**
 * Hook in and add a demo metabox. Can only happen on the 'cmb2_admin_init' or 'cmb2_init' hook.
 */
function gs_slider_metabox() {
	/**
	 * Sample metabox to demonstrate each field type included
	 */

	$gs_slide_field = new_cmb2_box( array(
		'id'            => 'slider_metabox',
		'title'         => esc_html__( 'Test Metabox', 'cmb2' ),
		'object_types'  => array( 'slider' ),
	) );



	// $gs_group_field_id is the field id string, so in this case: 'general_slider_group'
	$gs_group_field_id = $gs_slide_field->add_field( array(
		'id'          => 'general_slider_group',
		'type'        => 'group',
		'description' => esc_html__( 'Generates reusable form entries', 'cmb2' ),
		'options'     => array(
			'group_title'    => esc_html__( 'Entry {#}', 'cmb2' ), // {#} gets replaced by row number
			'add_button'     => esc_html__( 'Add Another Entry', 'cmb2' ),
			'remove_button'  => esc_html__( 'Remove Entry', 'cmb2' ),
			'sortable'       => true,
			// 'closed'      => true, // true to have the groups closed by default
			// 'remove_confirm' => esc_html__( 'Are you sure you want to remove?', 'cmb2' ), // Performs confirmation before removing group.
		),
	) );

	$gs_slide_field->add_group_field( $gs_group_field_id, array(
      'name'          => __( 'Background Image', 'cmb2' ),
      'desc'          => 'Upload an image or enter an URL.',
      'default' 	  => plugin_dir_url( __DIR__ ) .'4.jpg',
      'id'            => 'bg_img',
      'type'          => 'file',
        'options' => array(
            'url' => true,
        ),
        'text'    => array(
            'add_upload_file_text' => 'Add Image' 
        ),
        'query_args' => array(
            'type' => array(
                'image/jpeg',
                'image/png',
            ),
        ),
        'preview_size' => 'medium',
    ) );


	$gs_slide_field->add_group_field( $gs_group_field_id, array(
		'name'       => esc_html__( 'Sub Heading', 'cmb2' ),
		'desc'       => esc_html__( 'Sub headein', 'cmb2' ),
    	'default' => 'Our helps',
		'id'         => 'sub_heading',
		'type'       => 'text',
	) );

	$gs_slide_field->add_group_field( $gs_group_field_id, array(
		'name'       => esc_html__( 'Main Heading', 'cmb2' ),
		'desc'       => esc_html__( 'Main headein', 'cmb2' ),
    	'default' => 'You grow your business',
		'id'         => 'main_heading',
		'type'       => 'text',
	) );


	$gs_slide_field->add_group_field( $gs_group_field_id, array(
		'name'       => esc_html__( 'Slide Content', 'cmb2' ),
		'desc'       => esc_html__( 'Slide Content', 'cmb2' ),
    	'default' => 'Consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim',
		'id'         => 'slide_desc',
		'type'       => 'textarea_small',
	) );

	$gs_slide_field->add_group_field( $gs_group_field_id, array(
		'name'       => esc_html__( 'Button One Text', 'cmb2' ),
		'desc'       => esc_html__( 'Button One Text', 'cmb2' ),
    	'default' => 'Our Services',
		'id'         => 'btn_one_text',
		'type'       => 'text',
	) );
	$gs_slide_field->add_group_field( $gs_group_field_id, array(
		'name' => esc_html__( 'Button One URL', 'cmb2' ),
		'desc' => esc_html__( 'Button One URL', 'cmb2' ),
    	'default' 	 => '#',
		'id'   => 'btn_one_url',
		'type' => 'text_url',
	) );

	$gs_slide_field->add_group_field( $gs_group_field_id, array(
		'name'       => esc_html__( 'Button Two Text', 'cmb2' ),
		'desc'       => esc_html__( 'Button Two Text', 'cmb2' ),
    	'default' 	 => 'Learn More',
		'id'         => 'btn_two_text',
		'type'       => 'text',
	) );
	$gs_slide_field->add_group_field( $gs_group_field_id, array(
		'name' 		=> esc_html__( 'Button Two URL', 'cmb2' ),
		'desc' 		=> esc_html__( 'Button Two URL', 'cmb2' ),
    	'default' 	 => '#',
		'id'   		=> 'btn_two_url',
		'type' 		=> 'text_url',
	) );


}
