<?php

function general_slider_post() {

	$labels = array(
		'name'               => _x( 'General Slider', 'general-slider' ),
		'singular_name'      => _x( 'General Slider', 'general-slider' ),
		'add_new'            => _x( 'Create New Slider', 'general-slider' ),
		'add_new_item'       => __( 'Create New Slider', 'general-slider' ),
		'edit_item'          => __( 'Edit Slider', 'general-slider' ),
		'all_items' 		 => __( 'View Sliders', 'general-slider' ),
		'view_item'          => __( 'View Slider', 'general-slider' ),
		'search_items'       => __( 'Search Sliders', 'general-slider' ),
		'not_found'          => __( 'No Sliders', 'general-slider' ),
		'not_found_in_trash' => __( 'No Sliders Found In Trash', 'general-slider' ),
		'menu_name' => 'General Slider',
	);
	$args = array(
		'labels'        => $labels,
		'public'    => true,
		'supports'	=> array( 'title', ),
		'publicly_queryable' => true,
		'exclude_from_search' => true, // Check if this is legit
		'menu_icon' => 'dashicons-images-alt2',

	);
	register_post_type( 'slider', $args );

	}

	add_action( 'init', 'general_slider_post' );


//========================================


function slider_function(){
	
	?>

<script type="text/javascript">


(function ($) {
"use strict";

jQuery('.general-slider-carousel').each(function(){

	var slider_id = jQuery(this).attr('id');
	var loop = jQuery(this).data('loop');
	var nav = jQuery(this).data('nav');
	var dot = jQuery(this).data('dot');
	var autoplay = jQuery(this).data('autoplay');
	var animateOut = jQuery(this).data('animateout');

    $('#' + slider_id).owlCarousel({
        loop:loop,
        margin:0,
        nav:nav,
        dots:dot,
        animateOut: animateOut,
        animateIn: 'fadeIn',
        active: true,
        smartSpeed: 1000,
        autoplay: autoplay,
        navText: [ '<span class="fa fa-long-arrow-left"></span>', '<span class="fa fa-long-arrow-right"></span>' ],
        responsive:{
            0:{
                items:1
            },
            600:{
                items:1
            },
            1200:{
                items:1
            }
        }
    });

});


})(jQuery);
    
</script>

	<?php

}

add_action('wp_footer', 'slider_function', 100);


